=== debian/changelog ===
xcolmix (1.07-10.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089472)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 11:33:48 +0000

xcolmix (1.07-10.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix segfault if display couldn't be initialised. (Closes: #716494)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 04 Nov 2024 22:11:07 +0100

xcolmix (1.07-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Include stdlib.h to fix the build with GCC 14. Closes: #1066690.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Aug 2024 13:56:36 +0200

xcolmix (1.07-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing required debian/rules targets build-arch and/or build-indep.
    (Closes: #999219)
  * Apply a patch by Helmut Grohne to correctly pass cross-building tools to
    Make. (Closes: #988018)
  * Make the build reproducible by adapting debian/rules to use CFLAGS from
    dpkg-buildflags(1), appending -ffile-prefix-map. (Closes: #1020748)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 09:41:37 -0700

xcolmix (1.07-10) unstable; urgency=low

  * Rebuild against libforms2.
  * Standards-Version: 3.8.4
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Peter S Galbraith <psg@debian.org>  Thu, 27 May 2010 20:47:37 -0400

xcolmix (1.07-9) unstable; urgency=low

  * Opps.  Forgot to change xserver-common for x11-common as part of fix
    for #508864.

 -- Peter S Galbraith <psg@debian.org>  Sat, 17 Oct 2009 08:29:29 -0400

xcolmix (1.07-8) unstable; urgency=low

  * Bug fix: "FTBFS: xcolmix.h:29:23: error: X11/forms.h: No such file or
    directory", thanks to Lucas Nussbaum (Closes: #551247).
    Adapt to new libforms1 library.
  * Bug fix: "looks for rgb.txt in the wrong place", thanks to Justin B
    Rye (Closes: #508864).
  * Fixed menu entry.

 -- Peter S Galbraith <psg@debian.org>  Fri, 16 Oct 2009 15:53:21 -0400

xcolmix (1.07-7) unstable; urgency=low

  * Bug fix: "xcolmix: FTBFS: build-depends on removed xlibs-dev", thanks
    to Adeodato Simó for the report and to Justin Pryzby for the patch
    (Closes: #346802).
  * Standards version 3.6.2

 -- Peter S Galbraith <psg@debian.org>  Wed, 18 Jan 2006 18:53:12 -0500

xcolmix (1.07-6) unstable; urgency=low

  * Move to main from contrib!
  * Standards version 3.5.8;  Edited rules file a bit to comply.

 -- Peter S Galbraith <psg@debian.org>  Mon,  9 Dec 2002 22:55:09 -0500

xcolmix (1.07-5) unstable; urgency=low

  * Update to policy 3.2.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Feb 2001 10:21:50 -0500

xcolmix (1.07-4) unstable; urgency=low

  * Fixed packaging of upstream changelog file.

 -- Peter S Galbraith <psg@debian.org>  Tue, 14 Dec 1999 09:33:00 -0500

xcolmix (1.07-3) unstable; urgency=low

  * Added Suggests: xserver-common for rgb.txt files.
  * Build i386 against libforms0.89

 -- Peter S Galbraith <psg@debian.org>  Tue, 19 Oct 1999 13:06:14 -0400

xcolmix (1.07-2) unstable; urgency=low

  * Update to policy 3.0.1 (/usr/share/)

 -- Peter S Galbraith <psg@debian.org>  Sat, 25 Sep 1999 15:08:01 -0400

xcolmix (1.07-1) unstable; urgency=low

  * New upstream release created by Debian maintainer.
     Yet another new license (GPL + permission to link against XForms).

 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Jun 1999 10:07:56 -0400

xcolmix (1.06-1) unstable; urgency=low

  * New upstream release created by Debian maintainer.
     New license (GPL + permission to link against XForms).
     Also added the Debian man page to upstream package.
  * Closes Bug#35855: Xcolmix does not build from source
     design.c and xcolmix.h now have #include <X11/forms.h>
     Hacked the makefile a little to add library path.
	
 -- Peter S Galbraith <psg@debian.org>  Mon, 12 Apr 1999 23:15:23 -0500

xcolmix (1.05-1) unstable; urgency=low

  * Initial Release.

 -- Peter S Galbraith <psg@debian.org>  Wed, 16 Dec 1998 22:51:50 -0500
