=== debian/control ===
Source: xcolmix
Section: utils
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper (>= 7), libforms-dev
Rules-Requires-Root: no
Standards-Version: 3.8.4

Package: xcolmix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: x11-common
Description: an RGB colour mixer
 xcolmix enables you to mix your own colours in order to determine three
 values (the R/G/B code, or red-green-blue mix) of a colour. You can use
 those colours to, e.g., define the foreground or background of X
 applications which support it. Furthermore, xcolmix lets you retrieve RGB
 values from the X system's database of `predefined' colours.
