=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=xcolmix

build-arch: build
build-indep: build

build:
	$(checkdir)

	dh_auto_build --sourcedirectory=src -- final STDLFLAGS="-L /usr/X11R6/lib" STDCFLAGS="$(XFINCDIR) $(shell dpkg-buildflags --get CFLAGS)"
	touch build

clean:
	$(checkdir)
	-rm -f build
	(cd src; make clean)
	dh_clean

binary-indep: build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	$(checkdir)
	-rm -rf debian/xcolmix
	install -d debian/xcolmix/usr/bin
#	install -d debian/xcolmix/usr/share/doc/xcolmix
	install -m 755 src/xcolmix debian/xcolmix/usr/bin 
	dh_installdirs
	dh_installdocs xcolmix.README
	dh_installexamples
	dh_installchangelogs ChangeLog
	dh_installmenu
	dh_installman -pxcolmix src/xcolmix.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
